import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { IBreadCrumbItem } from '@components/page/breadcrumds/page-breadcrumbs.component';
import { ScheduleBreadCrumbService } from '@schedule/services/bread-crumb.service';

@Injectable()
export class ScheduleSearchBreadCrumbsResolver
    implements Resolve<IBreadCrumbItem[]>
{
    constructor(private breadCrumbService: ScheduleBreadCrumbService) {}

    resolve() {
        return [this.breadCrumbService.getRootBreadCrumb()];
    }
}
